import _baseGetTag_default from "./_baseGetTag.js";
import _getPrototype_default from "./_getPrototype.js";
import isObjectLike_default from "./isObjectLike.js";
var objectTag = "[object Object]", funcProto = Function.prototype, objectProto = Object.prototype, funcToString = funcProto.toString, hasOwnProperty = objectProto.hasOwnProperty, objectCtorString = funcToString.call(Object);
function isPlainObject(c) {
	if (!isObjectLike_default(c) || _baseGetTag_default(c) != objectTag) return !1;
	var l = _getPrototype_default(c);
	if (l === null) return !0;
	var u = hasOwnProperty.call(l, "constructor") && l.constructor;
	return typeof u == "function" && u instanceof u && funcToString.call(u) == objectCtorString;
}
var isPlainObject_default = isPlainObject;
export { isPlainObject_default as default };
